<?php
// Получаем информацию о текущем пользователе
if (class_exists('SiteUsers'))
{
	$SiteUsers = & singleton('SiteUsers');
	$site_user_id = $SiteUsers->GetCurrentSiteUser();
}
else
{
	?>
	<h1>Модуль "Пользователи сайта" отключен!</h1>
	<?php
	return FALSE;
}

$structure = & singleton('Structure');
$messages = & singleton('messages');

$iLimitFrom = to_int($GLOBALS['iLimitFrom']);
$iMessagesOnPage = to_int($GLOBALS['LA']['messages_on_page']);

$message_parent_id = $messages->iMessage;

if(!$message_parent_id) 
{
	$sXslName = $GLOBALS['LA']['xsl_name'];
}
else
{
	$sXslName = $GLOBALS['LA']['xsl_name2'];
}

// Список сообщений
$messages->ShowMessages(array('site_users_mail_id' => $message_parent_id, 
	'site_users_id' => $site_user_id, 
	'xsl_name' => $sXslName, 
	'limit_from' => $iLimitFrom, 
	'limit_count' => $iMessagesOnPage, 
	'show_external_property_for_user' => TRUE,
	'external_properties' => array(
		'structure_url' => $structure->GetStructurePath(CURRENT_STRUCTURE_ID, 0),
		'status_message' => $messages->sStatusMessage)
	));

if ($message_parent_id)
{
	// отмечаем сообщения как прочитанные
	$messages->ChangeMessagesReadStatus($message_parent_id, array('all' => 1));
}